Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511894 - boxes stopped working after USB stick removal.
Summary: boxes stopped working after USB stick removal.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-boxes
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 11:29 UTC by customercare
Modified: 2017-12-12 10:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:04:38 UTC


Attachments (Terms of Use)

Description customercare 2017-11-10 11:29:26 UTC
Description of problem:

I tested a new linux image with boxes and connected the box with a logitec camera and a usb stick.

The linux inside booted, and after a while i removed the usb stick from the host system without telling boxes to disconnect it first. This frooze boxes entirely.

In addition, it killed Cinnamon, as no keyboard actions where delivered and recognized inside the leftovers of Cinnamon nor the running apps. The mouse still worked. The coinnamon bar was gone also. it crashed hard as it looks.

A reboot of the froozen system failed ( 10:1 it got stuck with a wired mountpointsituation ) 


Version-Release number of selected component (if applicable):

gnome-boxes-3.22.4-3.fc25.x86_64

cinnamon-settings-daemon-3.4.4-3.fc25.x86_64
cinnamon-session-3.4.2-3.fc25.x86_64
cinnamon-3.4.6-15.fc25.x86_64
imsettings-cinnamon-1.7.2-1.fc25.x86_64
cinnamon-desktop-3.4.2-1.fc25.x86_64
cinnamon-translations-3.4.2-1.fc25.noarch
cinnamon-control-center-filesystem-3.4.0-8.fc25.x86_64
cinnamon-menus-3.4.0-1.fc25.x86_64
cinnamon-applet-blueberry-1.1.15-1.fc25.noarch
cinnamon-control-center-3.4.0-8.fc25.x86_64
cinnamon-screensaver-3.4.3-1.fc25.x86_64


Steps to Reproduce:
1. i.e. boot ubuntu 17.10 64bit desktop
2. add a usb stick to the box, in my case it was automounted on the desktop before (see below)
3. try to access it with disks
4. remove it from your pc


Actual results:

a crash

Expected results:

a handled exception without a crash.

Additional info:


The partitions on the usb stick were automounted in nautilus/nemo before i told boxes to add them to the running box.

This lead also to a situation, were you saw the stick fully named ( modell etc. ) inside DISKS running inside the box, BUT no partitions where shown at all.

This was the reason, why i removed it in the first place, to retry it ;) I wanted to use a video with the inside video app.

Comment 1 Fedora End Of Life 2017-11-16 18:42:32 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:04:38 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.